#
# spec file for package broadcom-netxtreme2 (Version 6.4.44)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-suse build bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv kernel-default-devel kernel-source kernel-syms kernel-xen-devel less libacl libattr libblkid1 libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl7 libmpfr1 libncurses5 libreadline5 libselinux1 libsepol1 libstdc++43 libtool libuuid1 libvolume_id1 libxcrypt libzio linux-kernel-headers login m4 make man module-init-tools net-tools netcfg pam pam-modules patch perl perl-TimeDate perl-base permissions popt post-build-checks psmisc rpm rpmlint-Factory rpmlint-mini sed sysvinit tar terminfo-base texinfo timezone util-linux zlib


Name:           broadcom-netxtreme2
BuildRequires:  kernel-source kernel-syms module-init-tools
License:        GPL
Group:          System/Kernel
Summary:        Broadcom NetXtreme II driver set for Linux
Version:        6.4.44
Release:        1
Source0:        %name-%version.tar.bz2
Source1:        Module.supported.bnx2
Source2:        Module.supported.bnx2x
Source3:        Module.supported.bnx2i
Source4:        Module.supported.bnx2fc
Source5:        Module.supported.libfc2
Source6:        Module.supported.libfcoe2

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%suse_kernel_module_package ec2 kdump um

%description
This package contains the Linux drivers for the Broadcom NetXtreme II Family of Server Adapters

%debug_package
%package KMP

Summary:        Broadcom NetXtreme II drivers for Linux
Group:          System/Kernel

%description KMP
This package contains the Linux driver for the Broadcom NetXtreme II Family of Server Adapters

%prep
%setup

cp %_sourcedir/Module.supported.bnx2 bnx2-2.64.7/src/Module.supported
cp %_sourcedir/Module.supported.bnx2x bnx2x/src/Module.supported
cp %_sourcedir/Module.supported.bnx2i bnx2i-2.6.4.1g/driver/Module.supported
cp %_sourcedir/Module.supported.bnx2fc bnx2fc/driver/Module.supported
cp %_sourcedir/Module.supported.libfc2 fclibs/libfc/Module.supported
cp %_sourcedir/Module.supported.libfcoe2 fclibs/fcoe/Module.supported

set -- *
mkdir source
mv "$@" source/

cp -f source/bnx2/README.TXT source/README.bnx2.TXT
cp -f source/bnx2/RELEASE.TXT source/RELEASE.bnx2.TXT
cp -f source/bnx2x/README.TXT source/README.bnx2x.TXT
cp -f source/bnx2x/RELEASE.TXT source/RELEASE.bnx2x.TXT
cp -f source/bnx2i/docs/README.TXT source/README.bnx2i.TXT
cp -f source/bnx2i/docs/RELEASE.TXT source/RELEASE.bnx2i.TXT
cp -f source/bnx2fc/docs/README.TXT source/README.bnx2fc.TXT
cp -f source/bnx2fc/docs/RELEASE.TXT source/RELEASE.bnx2fc.TXT
cp -f source/bnx2fc/etc/bnx2fcd.suse source/bnx2fcd

mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    kver=`uname -r`
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor/bnx2/src
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor/bnx2x/src
    cp $PWD/obj/$flavor/bnx2/src/Module.symvers $PWD/obj/$flavor/bnx2i/driver
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor/bnx2i/driver
    make newpath=/usr/src/packages/BUILD/broadcom-netxtreme2-6.4.44/obj/$flavor -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor/fclibs/libfc
    cp $PWD/obj/$flavor/fclibs/libfc/Module.symvers $PWD/obj/$flavor/fclibs/fcoe
    make newpath=/usr/src/packages/BUILD/broadcom-netxtreme2-6.4.44/obj/$flavor -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
     M=$PWD/obj/$flavor/fclibs/fcoe
    cp $PWD/obj/$flavor/bnx2/src/Module.symvers $PWD/obj/$flavor/bnx2fc/driver
    cp $PWD/obj/$flavor/fclibs/libfc/Module.symvers $PWD/obj/$flavor/bnx2fc/driver/Module1.symvers
    cp $PWD/obj/$flavor/fclibs/fcoe/Module.symvers $PWD/obj/$flavor/bnx2fc/driver/Module2.symvers

    pushd obj/$flavor/bnx2fc/driver
    cat Module1.symvers>>Module.symvers
    cat Module2.symvers>>Module.symvers
    popd
    make newpath=/usr/src/packages/BUILD/broadcom-netxtreme2-6.4.44/obj/$flavor/bnx2fc/driver -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
     M=$PWD/obj/$flavor/bnx2fc/driver

done
echo $PWD
pushd source/bnx2fc/usr
make
popd

%install

export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -c -m 0755 source/bnx2fcd $RPM_BUILD_ROOT/etc/init.d/

for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor/bnx2/src
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor/bnx2x/src
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor/bnx2i/driver
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor/fclibs/libfc
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor/fclibs/fcoe
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor/bnx2fc/driver
    mkdir -p $RPM_BUILD_ROOT/sbin
    install -c -m 0755 $PWD/source/bnx2fc/usr/bnx2fcd $RPM_BUILD_ROOT/sbin/bnx2fcd
    mkdir -p $RPM_BUILD_ROOT/etc/init.d
    install -c -m 0754 source/bnx2fcd $RPM_BUILD_ROOT/etc/init.d/bnx2fcd
done

%post
%{fillup_and_insserv -n -Y bnx2fcd bnx2fcd}

#man_dir=${RPM_BUILD_ROOT}/usr/share/man/man4
#mkdir -p ${man_dir}
#gzip -c source/bnx2/bnx2.4 > ${man_dir}/bnx2.4.gz
#gzip -c source/bnx2x/bnx2x.4 > ${man_dir}/bnx2x.4.gz

%preun
%stop_on_removal bnx2fcd

%files 
%defattr(-, root, root)
%doc source/INSTALL.TXT
%doc source/README.bnx2.TXT
%doc source/README.bnx2x.TXT
%doc source/RELEASE.bnx2.TXT
%doc source/RELEASE.bnx2x.TXT
%doc source/README.bnx2i.TXT
%doc source/RELEASE.bnx2i.TXT
%doc source/README.bnx2fc.TXT
%doc source/RELEASE.bnx2fc.TXT
/sbin/bnx2fcd
/etc/init.d/bnx2fcd
#%_mandir/man4/bnx2.4.gz
#%_mandir/man4/bnx2x.4.gz

%changelog
